from nullptr.missions.survey import SurveyMission
from nullptr.missions.mine import MiningMission
from nullptr.missions.haul import HaulMission
from nullptr.missions.travel import TravelMission


def create_mission(mtype, ship, store, api):
  types = {
    'survey': SurveyMission,
    'mine': MiningMission,
    'haul': HaulMission,
    'travel': TravelMission
  }
  if mtype not in types:
    logging.warning(f'invalid mission type {mtype}')
    return
  m = types[mtype](ship, store, api)
  return m
